ZITADEL Docs
APIsCore ResourcesV2Authorizations

Update Authorization

UpdateAuthorization updates the authorization.

Note: Authorization in this context refers to role assignments, not to OAuth authorization.

Note that any role keys previously granted to the user and not present in the request will be revoked.

Required permissions:

  • "user.grant.write"
POST
/zitadel.authorization.v2.AuthorizationService/UpdateAuthorization

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.authorization.v2.AuthorizationService/UpdateAuthorization" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "changeDate": "2023-01-15T01:30:15.01Z"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?